Index: wp-admin/css/global.css
===================================================================
--- wp-admin/css/global.css	(revision 7641)
+++ wp-admin/css/global.css	(working copy)
@@ -156,14 +156,14 @@
 	margin-left: 15px;
 	margin-right: 15px;
 	padding: 0;
-	max-width: 980px;
+/*	max-width: 980px;*/
 }
 
 .updated, .error {
 	border-width: 1px;
 	border-style: solid;
 	padding: 0 0.6em;
-	max-width: 950px;
+/*	max-width: 950px;*/
 	margin-bottom: 1em;
 }
 
Index: wp-admin/edit-form-advanced.php
===================================================================
--- wp-admin/edit-form-advanced.php	(revision 7641)
+++ wp-admin/edit-form-advanced.php	(working copy)
@@ -18,8 +18,67 @@
 
 <div class="wrap">
 <h2><?php _e('Write Post') ?></h2>
+
+<div id="rightnowpost">
+
+<?php if ( $can_edit_posts = current_user_can( 'edit_posts' ) ) : ?>
+<?php endif; if ( $can_edit_pages = current_user_can( 'edit_pages' ) ) : ?>
+<?php endif; ?>
+
 <?php
+$num_posts = wp_count_posts( 'post' );
 
+$post_type_texts = array();
+
+if ( $can_edit_posts && !empty($num_posts->draft) ) {
+	$post_type_texts[] = '<a href="edit.php?post_status=draft">'.sprintf( __ngettext( '%s draft', '%s drafts', $num_posts->draft ), number_format_i18n( $num_posts->draft ) ).'</a>';
+}
+if ( $can_edit_posts && !empty($num_posts->future) ) {
+	$post_type_texts[] = 'and <a href="edit.php?post_status=future">'.sprintf( __ngettext( '%s scheduled post', '%s scheduled posts', $num_posts->future ), number_format_i18n( $num_posts->future ) ).'</a>';
+}
+
+if ( current_user_can('publish_posts') && !empty($num_posts->pending) ) {
+	$pending_text = sprintf( __ngettext( 'There is <a href="%1$s">%2$s post</a> pending your review.', 'There are <a href="%1$s">%2$s posts</a> pending your review.', $num_posts->pending ), 'edit.php?post_status=pending', number_format_i18n( $num_posts->pending ) );
+} else {
+	$pending_text = '';
+}
+
+$post_type_text = implode(', ', $post_type_texts);
+
+if ( $can_edit_posts && (!empty($num_posts->draft) || !empty($num_posts->future) || !empty($num_posts->pending) )) {
+	$sentence = sprintf( __( 'You have %1$s. %2$s' ), $post_type_text, $pending_text );
+	$sentence = apply_filters( 'dashboard_count_sentence', $sentence, $post_type_text, $cats_text, $tags_text, $pending_text );
+}
+?>
+<p class="youhave"><?php echo $sentence; ?></p>
+
+<?php
+$my_drafts = get_users_drafts($user_ID);
+
+$drafts_posts_limit = 3;
+
+if ( !empty($my_drafts) ) {
+
+	$i = 0;
+ 	foreach ( $my_drafts as $draft ) {
+		$i++;
+		echo '<a href="post.php?action=edit&amp;post=' . $draft->ID . '">';
+		echo $draft->post_title;
+		echo '</a>';
+		if ( $i < $num_posts->draft )
+			echo ', ';
+		if ( $i == $drafts_posts_limit ) {
+			printf(__('and <a href="edit.php?post_status=draft">%d more</a>'), $num_posts->draft - $drafts_posts_limit);
+			break;
+		}
+	}
+}
+?>
+
+</div><!-- rightnow -->
+
+<?php
+
 if (!isset($post_ID) || 0 == $post_ID) {
 	$form_action = 'post';
 	$temp_ID = -1 * time(); // don't change this formula without looking at wp_write_post()
@@ -73,34 +132,114 @@
 
 <div class="submitbox" id="submitpost">
 
-<div id="previewview">
-<?php if ( 'publish' == $post->post_status ) { ?>
-<a href="<?php echo clean_url(get_permalink($post->ID)); ?>" target="_blank" tabindex="4"><?php _e('View this Post'); ?></a>
-<?php } elseif ( 'edit' == $action ) { ?>
-<a href="<?php echo clean_url(apply_filters('preview_post_link', add_query_arg('preview', 'true', get_permalink($post->ID)))); ?>" target="_blank"  tabindex="4"><?php _e('Preview this Post'); ?></a>
-<?php } ?>
+	<div id="previewview">
+	<?php if ( 'publish' == $post->post_status ) { ?>
+	<a href="<?php echo clean_url(get_permalink($post->ID)); ?>" target="_blank" tabindex="4"><?php _e('View this Post'); ?></a>
+	<?php } elseif ( 'edit' == $action ) { ?>
+	<a href="<?php echo clean_url(apply_filters('preview_post_link', add_query_arg('preview', 'true', get_permalink($post->ID)))); ?>" target="_blank"  tabindex="4"><?php _e('Preview this Post'); ?></a>
+	<?php } ?>
+	</div>
+
+<div id="categorywrap">
+<div id="categorydiv" class="postbox <?php echo postbox_classes('categorydiv', 'post'); ?>">
+<h3><?php _e('Categories') ?></h3>
+	<div class="inside">
+
+		<div id="category-adder" class="wp-hidden-children">
+			<h4><a id="category-add-toggle" href="#category-add" class="hide-if-no-js" tabindex="3"><?php _e( '+ Add New Category' ); ?></a></h4>
+			<p id="category-add" class="wp-hidden-child">
+				<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php _e( 'New category name' ); ?>" tabindex="3" />
+				<?php wp_dropdown_categories( array( 'hide_empty' => 0, 'name' => 'newcat_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => __('Parent category'), 'tab_index' => 3 ) ); ?>
+				<input type="button" id="category-add-sumbit" class="add:categorychecklist:categorydiv button" value="<?php _e( 'Add' ); ?>" tabindex="3" />
+				<?php wp_nonce_field( 'add-category', '_ajax_nonce', false ); ?>
+				<span id="category-ajax-response"></span>
+			</p>
+		</div>
+
+		<ul id="category-tabs">
+			<li class="ui-tabs-selected"><a href="#categories-all" tabindex="3"><?php _e( 'All Categories' ); ?></a></li>
+			<li class="wp-no-js-hidden"><a href="#categories-pop" tabindex="3"><?php _e( 'Most Used' ); ?></a></li>
+		</ul>
+
+		<div id="categories-all" class="ui-tabs-panel">
+			<ul id="categorychecklist" class="list:category categorychecklist form-no-clear">
+				<?php dropdown_categories(); ?>
+			</ul>
+		</div>
+
+		<div id="categories-pop" class="ui-tabs-panel" style="display: none;">
+			<ul id="categorychecklist-pop" class="categorychecklist form-no-clear" >
+				<?php wp_popular_terms_checklist('category'); ?>
+			</ul>
+		</div>
+
+	</div>
 </div>
 
+<div id="commentstatusdiv" class="postbox <?php echo postbox_classes('commentstatusdiv', 'post'); ?>">
+<h3><?php _e('Comments &amp; Pings') ?></h3>
 <div class="inside">
+<input name="advanced_view" type="hidden" value="1" />
+<p><label for="comment_status" class="selectit">
+<input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> />
+<?php _e('Allow Comments') ?></label></p>
+<p><label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /> <?php _e('Allow Pings') ?></label></p>
+<p><?php _e('These settings apply to this post only. &#8220;Pings&#8221; are <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>.'); ?></p>
+</div>
+</div>
 
-<p><strong><?php _e('Publish Status') ?></strong></p>
-<p>
-<select name='post_status' tabindex='4'>
-<?php if ( current_user_can('publish_posts') ) : // Contributors only get "Unpublished" and "Pending Review" ?>
-<option<?php selected( $post->post_status, 'publish' ); selected( $post->post_status, 'private' );?> value='publish'><?php _e('Published') ?></option>
-<?php if ( 'future' == $post->post_status ) : ?>
-<option<?php selected( $post->post_status, 'future' ); ?> value='future'><?php _e('Scheduled') ?></option>
+<div id="tagsdiv" class="postbox <?php echo postbox_classes('tagsdiv', 'post'); ?>">
+<h3><?php _e('Tags'); ?></h3>
+<div class="inside">
+<p id="jaxtag"><input type="text" name="tags_input" class="tags-input" id="tags-input" size="40" tabindex="3" value="<?php echo get_tags_to_edit( $post_ID ); ?>" /></p>
+<div id="tagchecklist"></div>
+</div>
+</div>
+
+<?php
+$authors = get_editable_user_ids( $current_user->id ); // TODO: ROLE SYSTEM
+if ( $post->post_author && !in_array($post->post_author, $authors) )
+	$authors[] = $post->post_author;
+if ( $authors && count( $authors ) > 1 ) :
+?>
+<div id="authordiv" class="postbox <?php echo postbox_classes('authordiv', 'post'); ?>">
+<h3><?php _e('Post Author'); ?></h3>
+<div class="inside">
+<?php wp_dropdown_users( array('include' => $authors, 'name' => 'post_author_override', 'selected' => empty($post_ID) ? $user_ID : $post->post_author) ); ?>
+</div>
+</div>
 <?php endif; ?>
-<?php endif; ?>
-<option<?php selected( $post->post_status, 'pending' ); ?> value='pending'><?php _e('Pending Review') ?></option>
-<option<?php selected( $post->post_status, 'draft' ); ?> value='draft'><?php _e('Unpublished') ?></option>
-</select>
-</p>
 
-<?php if ( current_user_can( 'publish_posts' ) ) : ?>
-<p><label for="post_status_private" class="selectit"><input id="post_status_private" name="post_status" type="checkbox" value="private" <?php checked($post->post_status, 'private'); ?> tabindex="4" /> <?php _e('Keep this post private') ?></label></p>
-<?php endif; ?>
-<?php
+<div id="passworddiv" class="postbox <?php echo postbox_classes('passworddiv', 'post'); ?>">
+<h3><?php _e('Password Protect') ?></h3>
+<div class="inside">
+<p><input name="post_password" type="text" size="25" id="post_password" value="<?php echo attribute_escape( $post->post_password ); ?>" /></p>
+<p><?php _e('Setting a password will require people who visit your blog to enter the above password to view this post and its comments.'); ?></p>
+</div>
+</div>
+
+</div>
+
+	<div class="inside">
+
+	<p><strong><?php _e('Publish Status') ?></strong></p>
+	<p>
+	<select name='post_status' tabindex='4'>
+	<?php if ( current_user_can('publish_posts') ) : // Contributors only get "Unpublished" and "Pending Review" ?>
+	<option<?php selected( $post->post_status, 'publish' ); selected( $post->post_status, 'private' );?> value='publish'><?php _e('Published') ?></option>
+	<?php if ( 'future' == $post->post_status ) : ?>
+	<option<?php selected( $post->post_status, 'future' ); ?> value='future'><?php _e('Scheduled') ?></option>
+	<?php endif; ?>
+	<?php endif; ?>
+	<option<?php selected( $post->post_status, 'pending' ); ?> value='pending'><?php _e('Pending Review') ?></option>
+	<option<?php selected( $post->post_status, 'draft' ); ?> value='draft'><?php _e('Unpublished') ?></option>
+	</select>
+	</p>
+
+	<?php if ( current_user_can( 'publish_posts' ) ) : ?>
+	<p><label for="post_status_private" class="selectit"><input id="post_status_private" name="post_status" type="checkbox" value="private" <?php checked($post->post_status, 'private'); ?> tabindex="4" /> <?php _e('Keep this post private') ?></label></p>
+	<?php endif; ?>
+	<?php
 if ($post_ID) {
 	if ( 'future' == $post->post_status ) { // scheduled for publishing at a future date
 		$stamp = __('Scheduled for:<br />%1$s at %2$s');
@@ -125,7 +264,6 @@
 
 <div id='timestampdiv' class='hide-if-js'><?php touch_time(($action == 'edit'),1,4); ?></div>
 <?php endif; ?>
-
 </div>
 
 <p class="submit">
@@ -205,55 +343,29 @@
 <?php echo $form_pingback ?>
 <?php echo $form_prevstatus ?>
 
-<div id="tagsdiv" class="postbox <?php echo postbox_classes('tagsdiv', 'post'); ?>">
-<h3><?php _e('Tags'); ?></h3>
+<div id="postcustom" class="postbox <?php echo postbox_classes('postcustom', 'post'); ?>">
+<h3><?php _e('Custom Fields') ?></h3>
 <div class="inside">
-<p id="jaxtag"><input type="text" name="tags_input" class="tags-input" id="tags-input" size="40" tabindex="3" value="<?php echo get_tags_to_edit( $post_ID ); ?>" /></p>
-<div id="tagchecklist"></div>
-</div>
-</div>
+<div id="postcustomstuff">
+<table cellpadding="3">
+<?php
+$metadata = has_meta($post_ID);
+list_meta($metadata);
+?>
 
-<div id="categorydiv" class="postbox <?php echo postbox_classes('categorydiv', 'post'); ?>">
-<h3><?php _e('Categories') ?></h3>
-<div class="inside">
-
-<div id="category-adder" class="wp-hidden-children">
-	<h4><a id="category-add-toggle" href="#category-add" class="hide-if-no-js" tabindex="3"><?php _e( '+ Add New Category' ); ?></a></h4>
-	<p id="category-add" class="wp-hidden-child">
-		<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php _e( 'New category name' ); ?>" tabindex="3" />
-		<?php wp_dropdown_categories( array( 'hide_empty' => 0, 'name' => 'newcat_parent', 'orderby' => 'name', 'hierarchical' => 1, 'show_option_none' => __('Parent category'), 'tab_index' => 3 ) ); ?>
-		<input type="button" id="category-add-sumbit" class="add:categorychecklist:categorydiv button" value="<?php _e( 'Add' ); ?>" tabindex="3" />
-		<?php wp_nonce_field( 'add-category', '_ajax_nonce', false ); ?>
-		<span id="category-ajax-response"></span>
-	</p>
+</table>
+<?php
+	meta_form();
+?>
+<div id="ajax-response"></div>
 </div>
-
-<ul id="category-tabs">
-	<li class="ui-tabs-selected"><a href="#categories-all" tabindex="3"><?php _e( 'All Categories' ); ?></a></li>
-	<li class="wp-no-js-hidden"><a href="#categories-pop" tabindex="3"><?php _e( 'Most Used' ); ?></a></li>
-</ul>
-
-<div id="categories-all" class="ui-tabs-panel">
-	<ul id="categorychecklist" class="list:category categorychecklist form-no-clear">
-		<?php dropdown_categories(); ?>
-	</ul>
+<p><?php _e('Custom fields can be used to add extra metadata to a post that you can <a href="http://codex.wordpress.org/Using_Custom_Fields" target="_blank">use in your theme</a>.'); ?></p>
 </div>
-
-<div id="categories-pop" class="ui-tabs-panel" style="display: none;">
-	<ul id="categorychecklist-pop" class="categorychecklist form-no-clear" >
-		<?php wp_popular_terms_checklist('category'); ?>
-	</ul>
 </div>
 
-</div>
-</div>
-
 <?php do_meta_boxes('post', 'normal', $post); ?>
 
 <?php do_action('edit_form_advanced'); ?>
-
-<h2><?php _e('Advanced Options'); ?></h2>
-
 <div id="postexcerpt" class="postbox <?php echo postbox_classes('postexcerpt', 'post'); ?>">
 <h3><?php _e('Excerpt') ?></h3>
 <div class="inside"><textarea rows="1" cols="40" name="excerpt" tabindex="6" id="excerpt"><?php echo $post->post_excerpt ?></textarea>
@@ -273,48 +385,8 @@
 </div>
 </div>
 
-<div id="postcustom" class="postbox <?php echo postbox_classes('postcustom', 'post'); ?>">
-<h3><?php _e('Custom Fields') ?></h3>
-<div class="inside">
-<div id="postcustomstuff">
-<table cellpadding="3">
-<?php
-$metadata = has_meta($post_ID);
-list_meta($metadata);
-?>
-
-</table>
-<?php
-	meta_form();
-?>
-<div id="ajax-response"></div>
-</div>
-<p><?php _e('Custom fields can be used to add extra metadata to a post that you can <a href="http://codex.wordpress.org/Using_Custom_Fields" target="_blank">use in your theme</a>.'); ?></p>
-</div>
-</div>
-
 <?php do_action('dbx_post_advanced'); ?>
 
-<div id="commentstatusdiv" class="postbox <?php echo postbox_classes('commentstatusdiv', 'post'); ?>">
-<h3><?php _e('Comments &amp; Pings') ?></h3>
-<div class="inside">
-<input name="advanced_view" type="hidden" value="1" />
-<p><label for="comment_status" class="selectit">
-<input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> />
-<?php _e('Allow Comments') ?></label></p>
-<p><label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /> <?php _e('Allow Pings') ?></label></p>
-<p><?php _e('These settings apply to this post only. &#8220;Pings&#8221; are <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>.'); ?></p>
-</div>
-</div>
-
-<div id="passworddiv" class="postbox <?php echo postbox_classes('passworddiv', 'post'); ?>">
-<h3><?php _e('Password Protect This Post') ?></h3>
-<div class="inside">
-<p><input name="post_password" type="text" size="25" id="post_password" value="<?php echo attribute_escape( $post->post_password ); ?>" /></p>
-<p><?php _e('Setting a password will require people who visit your blog to enter the above password to view this post and its comments.'); ?></p>
-</div>
-</div>
-
 <div id="slugdiv" class="postbox <?php echo postbox_classes('slugdiv', 'post'); ?>">
 <h3><?php _e('Post Slug') ?></h3>
 <div class="inside">
@@ -322,20 +394,6 @@
 </div>
 </div>
 
-<?php
-$authors = get_editable_user_ids( $current_user->id ); // TODO: ROLE SYSTEM
-if ( $post->post_author && !in_array($post->post_author, $authors) )
-	$authors[] = $post->post_author;
-if ( $authors && count( $authors ) > 1 ) :
-?>
-<div id="authordiv" class="postbox <?php echo postbox_classes('authordiv', 'post'); ?>">
-<h3><?php _e('Post Author'); ?></h3>
-<div class="inside">
-<?php wp_dropdown_users( array('include' => $authors, 'name' => 'post_author_override', 'selected' => empty($post_ID) ? $user_ID : $post->post_author) ); ?>
-</div>
-</div>
-<?php endif; ?>
-
 <?php do_meta_boxes('post', 'advanced', $post); ?>
 
 <?php do_action('dbx_post_sidebar'); ?>
@@ -350,4 +408,4 @@
 <script type="text/javascript">
 try{document.post.title.focus();}catch(e){}
 </script>
-<?php endif; ?>
+<?php endif; ?>
\ No newline at end of file
Index: wp-admin/edit-page-form.php
===================================================================
--- wp-admin/edit-page-form.php	(revision 7641)
+++ wp-admin/edit-page-form.php	(working copy)
@@ -34,8 +34,50 @@
 <form name="post" action="page.php" method="post" id="post">
 <div class="wrap">
 <h2><?php _e('Write Page') ?></h2>
+<div id="rightnowpost">
 
+<?php if ( $can_edit_posts = current_user_can( 'edit_posts' ) ) : ?>
+<?php endif; if ( $can_edit_pages = current_user_can( 'edit_pages' ) ) : ?>
+<?php endif; ?>
+
 <?php
+$num_posts = wp_count_posts( 'post' );
+$num_pages = wp_count_posts( 'page' );
+
+$num_cats  = wp_count_terms('category');
+
+$num_tags = wp_count_terms('post_tag');
+
+$post_type_texts = array();
+
+if ( $can_edit_posts && !empty($num_posts->draft) ) {
+	$post_type_texts[] = '<a href="edit.php?post_status=draft">'.sprintf( __ngettext( '%s draft', '%s drafts', $num_posts->draft ), number_format_i18n( $num_posts->draft ) ).'</a>';
+}
+if ( $can_edit_posts && !empty($num_posts->future) ) {
+	$post_type_texts[] = 'and <a href="edit.php?post_status=future">'.sprintf( __ngettext( '%s scheduled post', '%s scheduled posts', $num_posts->future ), number_format_i18n( $num_posts->future ) ).'</a>';
+}
+
+if ( current_user_can('publish_posts') && !empty($num_posts->pending) ) {
+	$pending_text = sprintf( __ngettext( 'There is <a href="%1$s">%2$s post</a> pending your review.', 'There are <a href="%1$s">%2$s posts</a> pending your review.', $num_posts->pending ), 'edit.php?post_status=pending', number_format_i18n( $num_posts->pending ) );
+} else {
+	$pending_text = '';
+}
+
+$post_type_text = implode(', ', $post_type_texts);
+
+// There is always a category
+$sentence = sprintf( __( 'You have %1$s. %4$s' ), $post_type_text, $cats_text, $tags_text, $pending_text );
+$sentence = apply_filters( 'dashboard_count_sentence', $sentence, $post_type_text, $cats_text, $tags_text, $pending_text );
+
+?>
+<p class="youhave"><?php echo $sentence; ?></p>
+
+<?php do_action( 'rightnow_end' ); ?>
+<?php do_action( 'activity_box_end' ); ?>
+</div><!-- rightnow -->
+
+
+<?php
 wp_nonce_field($nonce_action);
 
 if (isset($mode) && 'bookmarklet' == $mode)
@@ -69,6 +111,61 @@
 
 <div class="inside">
 
+<div id="pagewrap">
+
+<div id="pageparentdiv" class="postbox <?php echo postbox_classes('pageparentdiv', 'page'); ?>">
+<h3><?php _e('Page Parent') ?></h3>
+<div class="inside">
+<select name="parent_id">
+<option value='0'><?php _e('Main Page (no parent)'); ?></option>
+<?php parent_dropdown($post->post_parent); ?>
+</select>
+<p><?php _e('You can arrange your pages in hierarchies, for example you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how deeply nested you can make pages.'); ?></p>
+</div>
+</div>
+
+<?php if ( 0 != count( get_page_templates() ) ) { ?>
+<div id="pagetemplatediv" class="postbox <?php echo postbox_classes('pagetemplatediv', 'page'); ?>">
+<h3><?php _e('Page Template') ?></h3>
+<div class="inside">
+<select name="page_template">
+<option value='default'><?php _e('Default Template'); ?></option>
+<?php page_template_dropdown($post->page_template); ?>
+</select>
+<p><?php _e('Some themes have custom templates you can use for certain pages that might have additional features or custom layouts. If so, you&#8217;ll see them above.'); ?></p>
+</div>
+</div>
+
+<div id="pagecommentstatusdiv" class="postbox <?php echo postbox_classes('pagecommentstatusdiv', 'page'); ?>">
+<h3><?php _e('Comments &amp; Pings') ?></h3>
+<div class="inside">
+<input name="advanced_view" type="hidden" value="1" />
+<p><label for="comment_status" class="selectit">
+<input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> />
+<?php _e('Allow Comments') ?></label></p>
+<p><label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /> <?php _e('Allow Pings') ?></label></p>
+<p><?php _e('These settings apply to this page only. &#8220;Pings&#8221; are <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>.'); ?></p>
+</div>
+</div>
+
+<?php } ?>
+<div id="pagepassworddiv" class="postbox <?php echo postbox_classes('pagepassworddiv', 'page'); ?>">
+<h3><?php _e('Password Protect') ?></h3>
+<div class="inside">
+<p><input name="post_password" type="text" size="25" id="post_password" value="<?php echo attribute_escape( $post->post_password ); ?>" /></p>
+<p><?php _e('Setting a password will require people who visit your blog to enter the above password to view this page and its comments.'); ?></p>
+</div>
+</div>
+
+<div id="pageorderdiv" class="postbox <?php echo postbox_classes('pageorderdiv', 'page'); ?>">
+<h3><?php _e('Page Order') ?></h3>
+<div class="inside">
+<p><input name="menu_order" type="text" size="4" id="menu_order" value="<?php echo $post->menu_order ?>" /></p>
+<p><?php _e('Pages are usually ordered alphabetically, but you can put a number above to change the order pages appear in. (We know this is a little janky, it&#8217;ll be better in future releases.)'); ?></p>
+</div>
+</div>
+</div>
+
 <p><strong><?php _e('Publish Status') ?></strong></p>
 <p>
 <select name='post_status' tabindex='4'>
@@ -186,7 +283,12 @@
 
 <?php do_action('edit_page_form'); ?>
 
-<h2><?php _e('Advanced Options'); ?></h2>
+<div id="pageslugdiv" class="postbox <?php echo postbox_classes('pageslugdiv', 'page'); ?>">
+<h3><?php _e('Page Slug') ?></h3>
+<div class="inside">
+<input name="post_name" type="text" size="13" id="post_name" value="<?php echo attribute_escape( $post->post_name ); ?>" />
+</div>
+</div>
 
 <div id="pagepostcustom" class="postbox <?php echo postbox_classes('pagepostcustom', 'page'); ?>">
 <h3><?php _e('Custom Fields') ?></h3>
@@ -208,65 +310,6 @@
 </div>
 </div>
 
-<div id="pagecommentstatusdiv" class="postbox <?php echo postbox_classes('pagecommentstatusdiv', 'page'); ?>">
-<h3><?php _e('Comments &amp; Pings') ?></h3>
-<div class="inside">
-<input name="advanced_view" type="hidden" value="1" />
-<p><label for="comment_status" class="selectit">
-<input name="comment_status" type="checkbox" id="comment_status" value="open" <?php checked($post->comment_status, 'open'); ?> />
-<?php _e('Allow Comments') ?></label></p>
-<p><label for="ping_status" class="selectit"><input name="ping_status" type="checkbox" id="ping_status" value="open" <?php checked($post->ping_status, 'open'); ?> /> <?php _e('Allow Pings') ?></label></p>
-<p><?php _e('These settings apply to this page only. &#8220;Pings&#8221; are <a href="http://codex.wordpress.org/Introduction_to_Blogging#Managing_Comments" target="_blank">trackbacks and pingbacks</a>.'); ?></p>
-</div>
-</div>
-
-<div id="pagepassworddiv" class="postbox <?php echo postbox_classes('pagepassworddiv', 'page'); ?>">
-<h3><?php _e('Password Protect This Page') ?></h3>
-<div class="inside">
-<p><input name="post_password" type="text" size="25" id="post_password" value="<?php echo attribute_escape( $post->post_password ); ?>" /></p>
-<p><?php _e('Setting a password will require people who visit your blog to enter the above password to view this page and its comments.'); ?></p>
-</div>
-</div>
-
-<div id="pageslugdiv" class="postbox <?php echo postbox_classes('pageslugdiv', 'page'); ?>">
-<h3><?php _e('Page Slug') ?></h3>
-<div class="inside">
-<input name="post_name" type="text" size="13" id="post_name" value="<?php echo attribute_escape( $post->post_name ); ?>" />
-</div>
-</div>
-
-<div id="pageparentdiv" class="postbox <?php echo postbox_classes('pageparentdiv', 'page'); ?>">
-<h3><?php _e('Page Parent') ?></h3>
-<div class="inside">
-<select name="parent_id">
-<option value='0'><?php _e('Main Page (no parent)'); ?></option>
-<?php parent_dropdown($post->post_parent); ?>
-</select>
-<p><?php _e('You can arrange your pages in hierarchies, for example you could have an &#8220;About&#8221; page that has &#8220;Life Story&#8221; and &#8220;My Dog&#8221; pages under it. There are no limits to how deeply nested you can make pages.'); ?></p>
-</div>
-</div>
-
-<?php if ( 0 != count( get_page_templates() ) ) { ?>
-<div id="pagetemplatediv" class="postbox <?php echo postbox_classes('pagetemplatediv', 'page'); ?>">
-<h3><?php _e('Page Template') ?></h3>
-<div class="inside">
-<select name="page_template">
-<option value='default'><?php _e('Default Template'); ?></option>
-<?php page_template_dropdown($post->page_template); ?>
-</select>
-<p><?php _e('Some themes have custom templates you can use for certain pages that might have additional features or custom layouts. If so, you&#8217;ll see them above.'); ?></p>
-</div>
-</div>
-<?php } ?>
-
-<div id="pageorderdiv" class="postbox <?php echo postbox_classes('pageorderdiv', 'page'); ?>">
-<h3><?php _e('Page Order') ?></h3>
-<div class="inside">
-<p><input name="menu_order" type="text" size="4" id="menu_order" value="<?php echo $post->menu_order ?>" /></p>
-<p><?php _e('Pages are usually ordered alphabetically, but you can put a number above to change the order pages appear in. (We know this is a little janky, it&#8217;ll be better in future releases.)'); ?></p>
-</div>
-</div>
-
 <?php
 $authors = get_editable_user_ids( $current_user->id ); // TODO: ROLE SYSTEM
 if ( $post->post_author && !in_array($post->post_author, $authors) )
Index: wp-admin/wp-admin.css
===================================================================
--- wp-admin/wp-admin.css	(revision 7641)
+++ wp-admin/wp-admin.css	(working copy)
@@ -163,7 +163,7 @@
 	-webkit-border-radius: 3px;
 	border-radius: 3px;
 	cursor: pointer;
-	text-decoration: none;	
+	text-decoration: none;
 }
 
 .button-highlighted {
@@ -894,7 +894,7 @@
 
 #tagsdiv #newtag {
 	margin-right: 5px;
-	width: 16em;
+	width: 14em;
 }
 
 #tagchecklist {
@@ -978,13 +978,13 @@
 #poststuff .postbox, #poststuff .stuffbox {
 	margin-left: 20px;
 	padding: 2px;
-	margin-bottom: 20px;
+	margin-bottom: 5px;
 	margin-right: 8px;
 	border-width: 1px;
 	border-style: solid;
 }
 
-#titlediv, #poststuff .postarea {
+#titlediv, #poststuff .postarea, #rightnowpost {
 	margin-left: 20px;
 	margin-bottom: 20px;
 	margin-right: 8px;
@@ -1188,43 +1188,41 @@
 
 /* Categories */
 
+#categorywrap {
+	margin-left: -21px;
+	margin-right: -8px;
+}
+#pagewrap {
+	margin-left: -33px;
+	margin-right: -20px;
+}
+
+#categorydiv .postbox {
+	margin-left: -20px;
+}
+
 #categorydiv #category-adder {
-	margin-left: 120px;
+	width: 100%;
 	padding: 4px 0;
 }
 
 #category-add input, #category-add select {
-	width: 30%;
+	width: auto;
 }
+#pageparentdiv select {
+	width: 100%;
+	overflow: hidden;
+}
 
 #category-add input#category-add-sumbit {
 	width: auto;
 }
 
 #categorydiv ul#category-tabs {
-	float: left;
-	width: 120px;
-	text-align: right;
-	/* Negative margin for the sake of those without JS: all tabs display */
-	margin: 0 -120px 0 0;
-	padding: 0;
+	width: 100%;
+	text-align: left;
 }
 
-ul#category-tabs li {
-	padding: 8px;
-}
-
-ul#category-tabs li.ui-tabs-selected {
-	-moz-border-radius-topleft: 3px;
-	-khtml-border-top-left-radius: 3px;
-	-webkit-border-top-left-radius: 3px;
-	border-top-left-radius: 3px;
-	-moz-border-radius-bottomleft: 3px;
-	-khtml-border-bottom-left-radius: 3px;
-	-webkit-border-bottom-left-radius: 3px;
-	border-bottom-left-radius: 3px;
-}
-
 ul#category-tabs li.ui-tabs-selected a {
 	color: #333;
 	font-weight: bold;
@@ -1232,12 +1230,13 @@
 }
 
 div.ui-tabs-panel {
-	margin: 0 5px 0 120px;
+	margin: 0;
 	padding: .5em .9em;
-	height: 10em;
+	height: 25em;
 	overflow: auto;
 	border-width: 4px;
 	border-style: solid;
+	background-color: #FFFFFF;
 }
 
 #categorydiv ul {
@@ -1455,8 +1454,8 @@
 
 #poststuff h3, #poststuff .closed h3 {
 	cursor: pointer;
-} 
+}
 
 .hide-if-no-js {
 	display: none;
-}
+}
\ No newline at end of file
